Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class GuestSessionPoolImpl

    java.lang.Object
      oracle.ifs.fdk.GuestSessionPool
          oracle.ifs.fdk.impl.GuestSessionPoolImpl

    public class GuestSessionPoolImpl

extends GuestSessionPool

This is a pool of guest FdkSessions. These sessions are very limited in their abilities and can generally only perform read-only actions, and those only on objects that give the appropriate permissions to World. There should be at most one instance of this class per-JVM.

Constructor Summary
`GuestSessionPoolImpl()` Constructor.

Method Summary
`void` | `disposeImpl()` Dispose the pool.
`FdkSession` | `getGuestSession()` Gets a guest session.
`void` | `releaseGuestSession(FdkSession sess)` Indicate that you're done with a guest session.

Methods inherited from class oracle.ifs.fdk.GuestSessionPool
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuestSessionPoolImpl

    public GuestSessionPoolImpl()

  Constructor.

Method Detail

### disposeImpl

    public void disposeImpl()

  Description copied from class: `GuestSessionPoolImpl`
  Dispose the pool.

### getGuestSession

    public FdkSession getGuestSession()
                               throws FdkException

  Description copied from class: `GuestSessionPool`
  Gets a guest session. General algorithm:
  - if there are sessions in the pool, pop one off and return it
  - otherwise, if we haven't reached our allocation limit, allocate a new one and return it
  - otherwise, we've failed; return null
  Sessions acquired with getGuestSession must be released with releaseGuestSession, probably in a finally block.

  Specified by:
    `getGuestSession` in class `GuestSessionPool`
  Returns:
    a new guest session, or null if no more are available
  Throws:
    `FdkException` - if unable to allocate a new session

### releaseGuestSession

    public void releaseGuestSession(FdkSession sess)

  Description copied from class: `GuestSessionPool`
  Indicate that you're done with a guest session. If the pool has less than its target, add session back to pool; otherwise disconnect it.

  Specified by:
    `releaseGuestSession` in class `GuestSessionPool`
  Parameters:
    `sess` - the session one is done with; must be a session originally acquired with getGuestSession. Do not call disconnection on this session before you call this method. Or after, for that matter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD